<ng-container *ngIf="selectedFile">
	<div class="main-content">
		<h1 *ngIf="!selectedFile.hideLabel && selectedFile.label">{{ selectedFile.label }}</h1>
		<!-- Documentação padrão/descrição (sem sufixo) -->
		<!-- Markdown usa a especificação https://github.github.com/gfm/ -->
		<markdown
			ngPreserveWhitespaces
			*ngIf="docDefault && isMarkdown"
			[data]="docDefault"
			(ready)="scrollToAnchor()"
		></markdown>

		<!-- <markdown
			ngPreserveWhitespaces
			*ngIf="docDefault && isMarkdown && tabs.length > 0"
			[data]="docDefault"
			(ready)="scrollToAnchor()"
		></markdown> -->

		<!-- MarkedJS dá alguns problemas com HTML gerado pelo usuário e a formatação. Assim achei melhor colocar HTML direto na página para garantir que será mostrada corretamente -->
		<div [innerHtml]="docDefault" *ngIf="docDefault && !isMarkdown"></div>

		<!-- Abas de desenvolvedor e designer -->
		<br-tabs
			[tabs]="tabs"
			*ngIf="tabs.length > 0 && (selectedFile.developer || selectedFile.designer || selectedFile.accessibility)"
		>
			<div
				class="tab-panel"
				[id]="'panel-' + tab.id"
				*ngFor="let tab of tabs"
				[ngClass]="{ 'is-active': tab.isActive }"
			>
				<!-- Abas com código -->
				<br-code *ngIf="tab.id === 1"></br-code>

				<!-- Markdown -->
				<markdown
					ngPreserveWhitespaces
					[data]="tab.content"
					*ngIf="isMarkdown"
					(ready)="scrollToAnchor()"
				></markdown>
				<!-- HTML -->
				<div [innerHtml]="tab.content" *ngIf="!isMarkdown"></div>

				<br-avaliacao [tipo]="tab.id"></br-avaliacao>
			</div>
		</br-tabs>

		<br-avaliacao *ngIf="docDefault && isMarkdown && tabs.length === 0"></br-avaliacao>
	</div>
</ng-container>
